commit e0834bfece11fcd1543a14647555c305a7114b03
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Sep 22 11:30:30 2014 +0100

    Release Clutter 1.20.0

 NEWS         | 12 ++++++++++++
 configure.ac |  4 ++--
 2 files changed, 14 insertions(+), 2 deletions(-)

commit c55922dac18cd3548b432439948a5eab64ca4036
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Sep 22 11:11:22 2014 +0100

    docs: Fix the examples for ClutterText.set_font_name()
    
    We shouldn't be using "pt": PangoFontDescription.from_string() assumes
    points, and only accepts "px" for absolute font sizes.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=736826

 clutter/clutter-text.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 35d4baa913e142f22a2527e1b132e06fbec49306
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Sep 22 11:08:23 2014 +0100

    docs: Update the markdown README file

 README.md | 30 +++++++++++-------------------
 1 file changed, 11 insertions(+), 19 deletions(-)

commit e1a3a38061f8e79724466ab5188744396f0dbde9
Author: Maria  Mavridou <mavridou@gmail.com>
Date:   Sun Sep 21 13:42:14 2014 +0000

    Updated Greek translation

 po/el.po | 307 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 153 insertions(+), 154 deletions(-)

commit ca09f58d9340b5370080c21a0ad313ee9bbb2ec5
Author: Olav Vitters <olav@vitters.nl>
Date:   Wed Jul 30 19:38:35 2014 +0200

    doap category core

 clutter.doap | 1 +
 1 file changed, 1 insertion(+)

commit 3f4d5c3e47a71403b705cb4fb14af3f298817215
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Sep 17 15:07:33 2014 +0100

    Post-release version bump to 1.19.11

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit db6938077346b635341d481636e10b7c87148cd6
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Sep 17 15:02:30 2014 +0100

    Release Clutter 1.19.10

 NEWS         | 38 ++++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 39 insertions(+), 1 deletion(-)

commit f409671d91ef30057ebb1e4a0f12bbdc2527ce88
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Sep 17 14:59:22 2014 +0100

    docs: Fix annotation for has_mapped_clones() method
    
    The Returns: stanza is missing.

 clutter/clutter-actor.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit c75a200c371aabb7b0fd781e24da259995245c81
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Sep 17 14:59:03 2014 +0100

    docs: Remove missing symbol

 doc/reference/clutter/clutter-sections.txt | 1 -
 1 file changed, 1 deletion(-)

commit 28a5104e11738fd04500aa8b8d964c49ba0a3c96
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Sep 17 14:58:17 2014 +0100

    Remove gtk-doc tags from clutter_test_* API
    
    The API is public because we use it in the test suite, but it's not
    documented.

 clutter/clutter-test-utils.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 14da1c50270f1a3a8b2cb8c95d35e87bc9a31558
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Sep 15 16:50:33 2014 +0100

    actor: Unallocated children do not contribute to the paint volume
    
    Just like unmapped children.
    
    Apparently, layers above Clutter allow mapped children without an
    allocation, instead of unmapping them. This means we need to ignore
    them when computing the paint volume.
    
    Patch originally by: Adel Gadllah <adel.gadllah@gmail.com>
    Signed-off by: Emmanuele Bassi <ebassi@gnome.org>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=736682

 clutter/clutter-actor.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit acd8f8657013de63ca45294ded48ec531bc7fd64
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Sep 15 16:43:30 2014 +0100

    actor: Default paint volume does not work without allocation
    
    We already check for needs_allocation before getting the default paint
    volume, but explicit is better than implicit.

 clutter/clutter-actor.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit e31d7d74005d3fa628ddb2fd0cca19ccc5109aec
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Sep 15 16:42:54 2014 +0100

    build: Ignore private header while building docs

 doc/reference/clutter/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit a182d4befa5962be369373c01a66d5b42ac61b4b
Author: Jonas Ådahl <jadahl@gmail.com>
Date:   Sun Sep 14 13:58:11 2014 +0200

    ClutterInputDevice: Store the cursor coordinate state as floating point
    
    To support sub-pixel motion events coming from relative events, the
    fraction part needs to be stored in the input device state as well. To
    do this, simply change the current type from gint to gfloat.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=736413

 clutter/clutter-device-manager-private.h | 12 ++++++------
 clutter/clutter-input-device.c           |  4 ++--
 2 files changed, 8 insertions(+), 8 deletions(-)

commit 281a57a6a3bd56278cf0025614c066e3cb007da8
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:   Tue Sep 2 18:22:41 2014 +0200

    a11y: provide a way to ensure clutter accessibility
    
    If gtk_init is called after clutter_init, it can override clutter
    AtkUtil implementation. In that situation, we can't say that
    the accessibility is enabled, as the root object would be wrong.
    
    In order to provide a way to prevent this:
    
    * clutter_get_accessibility_enabled returns true of false
      depending on the current AtkUtil implemented
    * cally_accessibility_init always override AtkUtil implementation.

 clutter/cally/cally-util.c | 12 ++++++++++++
 clutter/cally/cally-util.h |  2 ++
 clutter/cally/cally.c      | 13 +++----------
 3 files changed, 17 insertions(+), 10 deletions(-)

commit fe208bff29191bfa13f01b69e31e49e83c80c650
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Aug 8 14:50:55 2014 +0200

    doc: Document CLUTTER_SCALE envvar
    
    https://bugzilla.gnome.org/show_bug.cgi?id=734480

 doc/reference/clutter/running-clutter.xml | 7 +++++++
 1 file changed, 7 insertions(+)

commit 908aedbacc7cb3e6ebfdaefd5bdd93cc85f2e31e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Aug 8 14:43:29 2014 +0200

    gdk: Add window-scaling-factor support
    
    So that we follow GDK's idea of a scaling factor for Clutter.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=734480

 clutter/gdk/clutter-settings-gdk.h | 1 +
 1 file changed, 1 insertion(+)

commit b3b2af767746fd1b040ff86a15b7452ad89be765
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Sep 3 14:16:31 2014 +0100

    Re-introduce removed GestureAction method
    
    The get_threshold_tigger_egde() method was renamed to fix the typo, but
    it obviously broke the ABI. To be fair, nobody in the whole of Debian
    was using the symbol, apparently, so it's not like we broke existing
    code. Still, it's not nice to break ABI without bumping soname, so let's
    put the old symbol back in — obviously, deprecated — as a wrapper to the
    newly added one.

 clutter/clutter-gesture-action.c           | 21 ++++++++++++++++++++-
 clutter/clutter-gesture-action.h           |  4 +++-
 doc/reference/clutter/clutter-sections.txt |  1 +
 3 files changed, 24 insertions(+), 2 deletions(-)

commit 98b64fec33834d5fd8534ba5ac5067fe6f398525
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Aug 29 19:35:11 2014 +0100

    Add TestEnvironment key to the installed tests launchers
    
    The TestEnvironment key allows us to control the environment used by the
    gnome-desktop-testing-runner harness.
    
    We use it to disable the diagnostic messages without having to tweak the
    Exec line.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=734115

 build/autotools/glib-tap.mk | 1 +
 1 file changed, 1 insertion(+)

commit 4bcf739d049f7a97e1c71cce90af0fc206f43532
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Thu Aug 28 18:09:28 2014 +0300

    Updated Hebrew translation

 po/he.po | 976 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------------------------
 1 file changed, 494 insertions(+), 482 deletions(-)

commit 591d31c970e1e00c53812de2c24bef6546bcf6ae
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Mon Aug 25 16:14:38 2014 +0200

    xi2: XSync before getting the client pointer on construction
    
    If the device manager is created and queried for the client pointer at
    a very early stage in application lifetime, the device_id returned would
    be 0 as the server hasn't apparently decided yet about the client pointer.
    
    For these situations, doing XSync prior to fetching the client pointer
    gets the server to device about the client pointer before we query it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=735388

 clutter/x11/clutter-device-manager-xi2.c | 1 +
 1 file changed, 1 insertion(+)

commit cfcba1868487fc02c9fa3e6e1d24ae69239b596b
Author: Adel Gadllah <adel.gadllah@gmail.com>
Date:   Sat Aug 23 10:10:25 2014 +0200

    clutter-settings: Mark window-scaling-factor as fixed when set by the app
    
    When an application sets the scaling factor manually we should mark it as fixed
    and not override it when the xsettings change. This matches GDKs behaviour.
    
    In order for this to work we cannot use the same path when setting the value
    internally so introduce a _clutter_settings_set_property_internal and use it
    for that.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=735244

 clutter/clutter-settings-private.h |  4 ++++
 clutter/clutter-settings.c         | 23 ++++++++++++++++++++++-
 clutter/gdk/clutter-backend-gdk.c  | 13 +++++++------
 clutter/x11/clutter-backend-x11.c  |  7 ++++---
 4 files changed, 37 insertions(+), 10 deletions(-)

commit ee59a458d2bc23e3977024ae54f0e2987595555d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Aug 21 15:43:35 2014 +0100

    Forgot to commit the NEWS file prior to release

 NEWS | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

commit 5d012cba7ba13c5d184bb61b1fc0dd0705a027fd
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Aug 21 15:43:06 2014 +0100

    Post-release version bump to 1.19.9

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0ed53b629068aebbf23890abd20bf31128bbd64c
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Aug 21 15:35:37 2014 +0100

    Release Clutter 1.19.8

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9c7433dbe911588fc644b08ac862e98fb9840c8b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Aug 21 15:30:47 2014 +0100

    docs: Add missing symbols to the section file

 doc/reference/clutter/clutter-sections.txt | 2 ++
 1 file changed, 2 insertions(+)

commit bd3e4f170932f782178819239e5b4c8b3d4d2707
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Aug 21 15:26:14 2014 +0100

    evdev: Fix compiler warning

 clutter/evdev/clutter-device-manager-evdev.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fd59df9710a9a6645f4a3eff2d8e378d158fa3d9
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Aug 21 15:24:54 2014 +0100

    build: Remove experimental notice for wayland/evdev
    
    Both backends are built via CI and used by GNOME, so they should not be
    considered experimental any more.

 configure.ac | 3 ---
 1 file changed, 3 deletions(-)

commit 158af1ff594d8984b59dcf90654ed04cd8c53e16
Author: Sunjin Yang <fan4326@gmail.com>
Date:   Thu Aug 21 15:17:34 2014 +0100

    actor: Plug a leak in the implicit transition removal
    
    We need to release the temporary reference we acquired in order for the
    signal emission to work.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=734761
    
    Signed-off-by: Emmanuele Bassi <ebassi@gnome.org>

 clutter/clutter-actor.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 018c1665eeb44c26a7d563958b3d86dede16227b
Author: ngoswami <ngoswami@redhat.com>
Date:   Mon Aug 18 15:38:09 2014 +0000

    Updated Assamese translation

 po/as.po | 1175 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------------------
 1 file changed, 620 insertions(+), 555 deletions(-)

commit 22827e6043f1cdb3b0545ea0d78f16186f542d6a
Author: Christian Kirbach <Christian.Kirbach@gmail.com>
Date:   Mon Aug 18 08:31:44 2014 +0000

    Updated German translation

 po/de.po | 91 ++++++++++++++++++++++++++++++++++++++++---------------------------------------------------
 1 file changed, 40 insertions(+), 51 deletions(-)

commit ad18f2a996a685962016055734121d45be581b5c
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Sat Aug 16 20:35:54 2014 +0100

    backend: gdk: add support for foreign windows on wayland
    
    https://bugzilla.gnome.org/show_bug.cgi?id=734935

 clutter/gdk/clutter-stage-gdk.c | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit ccd2054fdaba013a9b99b5e0471f5c94203c606d
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Sat Aug 16 19:39:46 2014 +0100

    backend: gdk: add translation code for touch events
    
    https://bugzilla.gnome.org/show_bug.cgi?id=734934

 clutter/gdk/clutter-event-gdk.c | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

commit be8602fbb491c30c1e2febb92553375b2f4ce584
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Aug 15 12:11:20 2014 +0100

    Revert "backend: try gdk backend before x11/wayland/egl"
    
    This reverts commit 398a7ac71333208e31d67f3ce50514fab58ba1bb.
    
    We cannot really use the GDK backend without massive regressions inside
    the input layer, like touch events and gestures. The GDK backend is not
    entirely up to scratch, and it's late in the cycle.
    
    Let's land this early in 3.15, and get it up to par with X11.

 clutter/clutter-backend.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit f12c174d721f39a19beb782586665d0ce3f6e350
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Aug 15 12:07:48 2014 +0100

    Remove unused internal 'in-resize' flag
    
    A remnant of days gone by.

 clutter/clutter-private.h       | 11 ++---------
 clutter/gdk/clutter-stage-gdk.c |  3 ---
 clutter/x11/clutter-stage-x11.c |  5 -----
 3 files changed, 2 insertions(+), 17 deletions(-)

commit 398a7ac71333208e31d67f3ce50514fab58ba1bb
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Sun Aug 10 20:19:30 2014 +0100

    backend: try gdk backend before x11/wayland/egl
    
    Quite a few people at Guadec complained of pinpoint being broken in
    speaker+fullscreen mode, with slides being half displayed. It turns
    out that the X11 backend of clutter was being used and this backend
    assumes the size of the current monitor is the size of the X screen
    (that's not the case with multiple monitors).
    
    To work around the shortcomings of the X11 backend we should probably
    position the GDK one before. GDK implements most of the logic the
    ClutterStage needs and is probably more tested.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=734587

 clutter/clutter-backend.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit f95493e7bff650f7c2da4d8bfe50a498cc652ddf
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Sun Jul 6 17:43:14 2014 +0200

    evdev: Add API to set the xkb layout index
    
    https://bugzilla.gnome.org/show_bug.cgi?id=733202

 clutter/evdev/clutter-device-manager-evdev.c | 32 ++++++++++++++++++++++++++++++++
 clutter/evdev/clutter-evdev.h                |  4 ++++
 2 files changed, 36 insertions(+)

commit 72aaeed3f5623e37625a6658a712e48e4394a91b
Author: Tom Beckmann <tomjonabc@gmail.com>
Date:   Sat Jul 19 02:44:20 2014 +0200

    canvas: assign white to paint color for texture node
    
    To get correct premultiplied opacity on a canvas content, white needs
    to be assigned to the color that is passed to the texture node. The
    content will be very dark for lower opacity values otherwise.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=733385

 clutter/clutter-canvas.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 8e56cef40b883d90e10b6d5169357a73233193c8
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jul 24 00:20:26 2014 +0100

    Post-release version bump to 1.19.7

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1e07fd7d7fb0eb648ff407b193ac9df1725d360c
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jul 24 00:12:47 2014 +0100

    Release Clutter 1.19.6 (snapshot)

 NEWS         | 30 ++++++++++++++++++++++++++++++
 README.in    |  9 +++++++++
 configure.ac |  2 +-
 3 files changed, 40 insertions(+), 1 deletion(-)

commit d33d2d1f472c82866a90179f89468ceb9e72eff1
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jul 24 00:11:30 2014 +0100

    conform: Fix actor-shader-effect
    
    The porting to the ::after-paint signal was missing the boolean flag
    passed as a user data.

 tests/conform/actor-shader-effect.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 0c0c069b3fa1cdf003839b4581906b989f379b1a
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Mon Jul 21 23:44:10 2014 +0200

    input-device: Ensure crossing events are paired for touch sequences
    
    When the sequence is lifted the actor wouldn't be unset, so the corresponding
    CLUTTER_LEAVE event would never be sent for the touch sequence.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=733560

 clutter/clutter-input-device.c | 1 +
 1 file changed, 1 insertion(+)

commit 9e8c92d66a7dc0243f3a0a51ca46ca71c533a7d7
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Mon Jul 21 23:48:42 2014 +0200

    evdev: Update xkb state after input is resumed
    
    xkb_state creation has been refactored out of clutter_evdev_set_keyboard_map(),
    and used too in clutter_evdev_reclaim_devices(), so the xkb_state is fresh
    clean after input is paused/resumed (and keyboard state possibly changed in
    between)
    
    https://bugzilla.gnome.org/show_bug.cgi?id=733562

 clutter/evdev/clutter-device-manager-evdev.c | 73 ++++++++++++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 46 insertions(+), 27 deletions(-)

commit 958ffd4d40de4edb46140c7a282176aa8bb734c2
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Mon Jul 21 23:46:44 2014 +0200

    event: define a boxed type for ClutterEventSequence
    
    This allows for some minimal interaction from bindings.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=733561

 clutter/clutter-event.c | 17 +++++++++++++++++
 clutter/clutter-event.h |  4 ++++
 2 files changed, 21 insertions(+)

commit c167d3a4d307d759d461ddca56ebeb4bbd74dce6
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:   Thu Jul 17 10:53:32 2014 +0200

    ClutterAnimation: fix memory leak
    
    We need to unref the timeline
    
    https://bugzilla.gnome.org/show_bug.cgi?id=733300

 clutter/deprecated/clutter-animation.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit f6fd02970c29e58c217ef5563d8d5c53be81acd9
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Fri Jul 11 15:30:29 2014 +0200

    evdev: Set button modifier state to input devices.
    
    Input devices must get the proper button state, in addition to keyboard
    modifiers.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=733062

 clutter/evdev/clutter-device-manager-evdev.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 8d669ab8ceb9ad1cfb03e69d32e30033070961a6
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Tue Jul 8 18:20:26 2014 +0200

    gesture-action: Prepare for clutter_gesture_action_cancel() within ::gesture-end
    
    There may be odd situations where full gesture cancellation may be wanted at once
    when the first touch is lifted and ::gesture-end is emitted on a gesture action.
    Although calling clutter_gesture_action_cancel() within the ::gesture-end handler
    causes 2 critical warnings that are otherwise harmless.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=732907

 clutter/clutter-gesture-action.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit ec911dc8b96a6cceac2a6582679528f2d599cb32
Author: Owen W. Taylor <otaylor@fishsoup.net>
Date:   Thu Jun 5 15:21:05 2014 -0400

    ClutterStage: Replace clutter_stage_set_paint_callback() with ::after-paint signal
    
    clutter_stage_set_paint_callback() has the disadvantage that it only
    works for a single caller, and subsequent callers will overwrite and
    break previous callers. Replace it with an ::after-paint signal that is
    emitted at the same point - after all painting for the stage is
    completed but before the drawing is presented to the screen.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=732342

 clutter/clutter-stage.c                        | 61 +++++++++++++++++++------------------------------------------
 clutter/clutter-stage.h                        |  9 ---------
 doc/reference/clutter/clutter-sections.txt     |  1 -
 tests/conform/actor-offscreen-limit-max-size.c |  6 ++----
 tests/conform/actor-shader-effect.c            |  6 ++----
 5 files changed, 23 insertions(+), 60 deletions(-)

commit 9c74b983100c5eb6e4b7d5921371f66b5965a434
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jun 25 17:09:23 2014 +0100

    Post-release version bump to 1.19.5

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d541efca2f7641f79b8153e516ac9b02d03f37c3
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jun 25 17:02:00 2014 +0100

    Release Clutter 1.19.4 (snapshot)

 NEWS         | 23 +++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 24 insertions(+), 1 deletion(-)

commit 036c2b3764824a8980b1ae052df4becdb26d4bbb
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jun 25 16:58:18 2014 +0100

    gesture-action: Use event type getter
    
    Don't use direct struct access.

 clutter/clutter-gesture-action.c | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

commit 02590f08ac81a24c476fdf18d79ceffdfe7f1a34
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Wed Jun 25 13:14:44 2014 +0200

    gesture-action: Ignore any other event than press/update/release ones
    
    CLUTTER_ENTER/LEAVE might be processed too, leading to accounting of the
    NULL sequence (ie. pointer) in the gesture, and fooling the gesture with
    a static extra point that wouldn't go away.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=732235

 clutter/clutter-gesture-action.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 4c4e72a9dc3674774a8d38054a4bb8b95fdd972b
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Wed Jun 25 12:59:34 2014 +0200

    x11: Set the input device stage on XI_TouchBegin, if not already set
    
    Until now, touch events sort of rely on XI_Enter/XI_Leave events accompanying
    the pointer emulating touch in order to have a stage set on the device, These
    events won't happen though if it's not a pointer emulating touch which happens
    on the stage, causing touch events to be ignored.
    
    Fix this by ensuring that the input device has a stage on XI_TouchBegin itself,
    but only if it's not already set, so we don't possibly steal touch events to
    an already interacting stage.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=732234

 clutter/x11/clutter-device-manager-xi2.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 42f6828c9cf151e350dd0df47a194cf0ac63a904
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Wed Jun 25 12:52:44 2014 +0200

    input-device: Do not unset the device stage after the last touch is lifted
    
    On X11 the pointer will follow a "pointer emulating" touch sequence, so the
    pointer will be effectively left inside the stage after that touch is lifted,
    even though the master device stage is unset. This makes pointer events get
    ignored until the pointer leaves and enters again the stage.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=732234

 clutter/clutter-input-device.c | 3 ---
 1 file changed, 3 deletions(-)

commit 8d89294ef629b575caae06b2d29659ac7f154255
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jun 25 15:16:30 2014 +0100

    drop-action: Use the right state for events
    
    The 'state' field should be used for pointer events without button
    information. Pointer events that have button information should use
    the 'button' field.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=732143

 clutter/clutter-drop-action.c | 20 +++++++++++---------
 1 file changed, 11 insertions(+), 9 deletions(-)

commit acde9b1dff733d19aa729d28b6a8dbccd0be49d9
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jun 25 12:42:58 2014 +0100

    docs: Add missing symbols

 doc/reference/clutter/clutter-sections.txt | 7 +++++++
 1 file changed, 7 insertions(+)

commit 2a3498d6c9f6d28ab7042820628009c896c5c9b1
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jun 25 12:18:37 2014 +0100

    build: Warn for experimental input backend

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ac26dbbbe94f522438648452d262df0836f54507
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jun 25 12:18:02 2014 +0100

    evdev: Update after libinput API changes

 clutter/evdev/clutter-device-manager-evdev.c | 46 ++++++++++++++++++++++++----------------------
 1 file changed, 24 insertions(+), 22 deletions(-)

commit 3b77e5565c0d63ceb8a2eb848aea1e69e9aa4d46
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jun 25 12:17:37 2014 +0100

    Bump up the requirement for libinput
    
    There have been API breakages in libinput since 0.3.0.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9c9b37cb210db79efc95f037d565587e3fbb7fd3
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jun 25 12:04:44 2014 +0100

    conform: Ensure to disable diagnostic messages
    
    We don't want tests to fail for deprecation messages; we already disable
    deprecation warnings from the compiler for the same reason.

 tests/conform/Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit 4cdcbcb2b1d339466911d523fb116719c94eb0eb
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Tue May 27 14:03:09 2014 -0400

    evdev: Add clutter_evdev_warp_pointer
    
    https://bugzilla.gnome.org/show_bug.cgi?id=731536

 clutter/evdev/clutter-device-manager-evdev.c | 27 +++++++++++++++++++++++++++
 clutter/evdev/clutter-evdev.h                |  6 ++++++
 2 files changed, 33 insertions(+)

commit 31749cfa47babaf3a76292a40fabb768852dcc96
Author: Jonas Ådahl <jadahl@gmail.com>
Date:   Thu Jun 5 09:50:33 2014 +0200

    evdev: Follow libinput enum rename
    
    s/libinput_pointer_button_state/libinput_button_state/
    s/LIBINPUT_POINTER_BUTTON_STATE_/LIBINPUT_BUTTON_STATE_/
    
    https://bugzilla.gnome.org/show_bug.cgi?id=731254

 clutter/evdev/clutter-device-manager-evdev.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 61929e26e1449a8cbe27086776838d09f446ea7e
Author: Jonas Ådahl <jadahl@gmail.com>
Date:   Mon Jun 2 23:16:21 2014 +0200

    evdev: Used floating point instead of fixed point numbers
    
    Following the API change in libinput, change the uses of fixed point
    numbers to floating point numbers.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=731178

 clutter/evdev/clutter-device-manager-evdev.c | 40 ++++++++++++++--------------------------
 clutter/evdev/clutter-input-device-evdev.h   |  2 --
 configure.ac                                 |  2 +-
 3 files changed, 15 insertions(+), 29 deletions(-)

commit 499f2e5831f91bdd968eaa7ace59e7cd62513edc
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Jun 9 18:54:58 2014 +0800

    MSVC 2010+ Projects: Update "Installation" Process
    
    Currently, due to the way that Visual Studio 2010+ projects are handled,
    the "install" project does not re-build upon changes to the sources, as it
    does not believe that its dependencies have changed, although the changed
    sources are automatically recompiled.  This means that if a part or more
    of the solution does not build, or if the sources need some other fixes
    or enhancements, the up-to-date build is not copied automatically, which
    can be misleading.
    
    Improve on the situation by forcing the "install" project to trigger its
    rebuild, so that the updated binaries can be copied.  This does trigger an
    MSBuild warning, but having that warning is way better than not having an
    up-to-date build, especially during testing and development.

 build/win32/vs10/clutter-install.props | 18 +++++++++++++++---
 build/win32/vs10/install.vcxproj       | 28 ++++++++++++++++------------
 2 files changed, 31 insertions(+), 15 deletions(-)

commit fcdd222c61da457ed56bc58ef346e896776fe257
Author: Gustavo Noronha Silva <gustavo.noronha@collabora.com>
Date:   Thu Jun 5 09:42:05 2014 -0300

    device-manager-xi2: use allocation for clamping
    
    The coordinates translated by the XI2 device manager were being clamped using
    the X window size kept by StageX11. However, when the stage is fullscreen,
    that size is not updated to the screen size, but kept the same in order to
    allow going back to it when the stage goes out of fullscreen.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=731268

 clutter/x11/clutter-device-manager-xi2.c | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit eb734e8b62755b536457035e554023196f670d51
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed May 28 23:09:22 2014 +0100

    Post-release version bump to 1.19.3

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit be060f44808a7c8bd5c503956e9f984a7c7df8f9
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed May 28 23:00:10 2014 +0100

    Release Clutter 1.19.2

 NEWS         | 22 ++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 23 insertions(+), 1 deletion(-)

commit 7ed92c845fbaf145e0afe9182ba564898fd734e9
Author: Jonas Ådahl <jadahl@gmail.com>
Date:   Sun Jan 5 16:03:59 2014 +0100

    Fix scaling of pointer axis vectors
    
    The vector of libinput and Wayland pointer axis events are in pointer
    motion coordinate space. To convert to clutter's internal representation
    the vectors need to be scaled to Xi2 scroll steps.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=723560

 clutter/evdev/clutter-device-manager-evdev.c   | 6 +++++-
 clutter/wayland/clutter-input-device-wayland.c | 9 +++++++--
 2 files changed, 12 insertions(+), 3 deletions(-)

commit 3da27a4f084b2cf8664a3a2ba6c3ca66f20807de
Author: Jonas Ådahl <jadahl@gmail.com>
Date:   Mon Feb 10 23:35:58 2014 +0100

    wayland: Fix coding style issues
    
    Signed-off-by: Jonas Ådahl <jadahl@gmail.com>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=723560

 clutter/wayland/clutter-input-device-wayland.c | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit ed538a6d2c4cad2dcdd00353ded049a6c371b08b
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Thu May 22 13:27:43 2014 +0200

    stage: Only compress consecutive touch events from the same sequence
    
    And get CLUTTER_EVENT_LEAVE out of the touch event compression logic, as
    touches are always implicitly grabbed. If no sequence check is done, only
    the last touch update would be emitted, even if multiple sequences got
    updated.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=730577

 clutter/clutter-stage.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit fd8705b9c641c5e15f3120526feb6e7900c2ac8f
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Wed May 21 15:15:01 2014 +0200

    gesture-action: Fix typo in clutter_gesture_action_get_threshold_trigger_egde()
    
    Let's cross fingers and hope nobody notices. If this went unnoticed so far, likely
    means this function has never been used. If any complain is raised about this, a
    stub function should be added (and marked deprecated).

 clutter/clutter-gesture-action.c           | 4 ++--
 clutter/clutter-gesture-action.h           | 2 +-
 doc/reference/clutter/clutter-sections.txt | 2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

commit 9510d6ac95c5be5846c9fe626710e3ad12125a37
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Fri Apr 25 20:14:01 2014 +0200

    evdev: Add clutter_evdev_event_sequence_get_slot()
    
    This function helps know the libinput slot used by a sequence.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=728968

 clutter/evdev/clutter-evdev.h              |  3 +++
 clutter/evdev/clutter-input-device-evdev.c | 20 ++++++++++++++++++++
 2 files changed, 23 insertions(+)

commit 50b3d7cd9b16f4526f3944b7bb7f86961bba3e61
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Fri Apr 25 20:07:53 2014 +0200

    evdev: Manage LIBINPUT_EVENT_TOUCH_* events
    
    Those are translated into CLUTTER_TOUCH_* ClutterEvents. As the
    "NULL" ClutterEventSequence is special cased, the slot=0 value is
    avoided.
    
    Frame events are ignored, as there is no Clutter equivalence, and
    Cancel events are sent to all current individual touches.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=728968

 clutter/evdev/clutter-device-manager-evdev.c | 216 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 216 insertions(+)

commit 76d48f79d655095b89afef6211a61aae834da805
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Fri Apr 25 20:03:09 2014 +0200

    evdev: Set core device on translated events
    
    And ensure the core pointer shares the same stage than the slave
    device when those events are set. This fixes problems on the evdev
    backend where the last touch unsets the stage on the device, but
    nothing sets it back afterwards.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=728968

 clutter/evdev/clutter-device-manager-evdev.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 8857b19d4926a153cb2317951dc5cba6c04f79f5
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Fri Apr 25 19:58:43 2014 +0200

    evdev: Add function to get the libinput_device from a ClutterInputDevice
    
    This may be useful for deeper libinput integration that's not in the scope
    of Clutter.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=728967

 clutter/evdev/clutter-evdev.h              |  3 +++
 clutter/evdev/clutter-input-device-evdev.c | 24 ++++++++++++++++++++++++
 2 files changed, 27 insertions(+)

commit 91ee1ceca452176667708ad898cd59196712a76d
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Fri Apr 25 19:54:35 2014 +0200

    evdev: Add evdev specific event filter function
    
    This function can be used to intercept or translate events
    that are unmanaged by clutter itself.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=728967

 clutter/evdev/clutter-device-manager-evdev.c | 132 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/evdev/clutter-evdev.h                |  11 +++++++++++
 2 files changed, 143 insertions(+)

commit b66fec0450dc55f7221dc4e84c406ef30c4d177d
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Fri Feb 28 10:15:45 2014 -0500

    egl: Add a way to pause the ClutterMasterClock
    
    When VT switched away, we need to pause the ClutterMasterClock,
    stop processing events, and stop trying to flip.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=730215

 clutter/clutter-master-clock.c          | 15 +++++++++++++++
 clutter/clutter-master-clock.h          |  2 ++
 clutter/egl/clutter-backend-eglnative.c | 54 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/egl/clutter-egl.h               |  5 +++++
 4 files changed, 76 insertions(+)

commit 32af6a3ef4c62fabf74945ef67c0eef807298fe9
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Mon May 19 11:46:17 2014 -0400

    evdev: Fix a compile warning
    
    device_type_str is only used inside a CLUTTER_NOTE, which evaluate
    to nothing when CLUTTER_ENABLE_DEBUG is off.

 clutter/evdev/clutter-device-manager-evdev.c | 2 ++
 1 file changed, 2 insertions(+)

commit d708c3076550e09de146b8cf3832137f5d7ec9d0
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon May 19 17:55:52 2014 +0100

    Provide 1.20 version macros

 clutter/clutter-macros.h     | 14 ++++++++++++++
 clutter/clutter-version.h.in | 10 ++++++++++
 2 files changed, 24 insertions(+)

commit 1eb6f2420b951157ca5ebd3d01f06a2cd0596bda
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon May 19 17:55:40 2014 +0100

    Bump to 1.19.1

 configure.ac | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit cbc3a41dc255081422f68928724534f7cf8ad717
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Mon May 12 23:45:42 2014 +0200

    [l10n] Updated Catalan (Valencian) translation

 po/ca@valencia.po | 1529 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------------------------------------------
 1 file changed, 793 insertions(+), 736 deletions(-)

commit 4b430ee098cf56fbb75f5cc6c1c912ca041e3b70
Author: Pau Iranzo <paugnu@gmail.com>
Date:   Mon May 12 23:45:33 2014 +0200

    [l10n] Update Catalan translation

 po/ca.po | 1142 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------------------
 1 file changed, 595 insertions(+), 547 deletions(-)

commit 812f0d9880e6666b71f1da770bd0239607a39707
Author: Christian Kirbach <Christian.Kirbach@gmail.com>
Date:   Fri May 2 10:42:23 2014 +0000

    Updated German translation

 po/de.po | 1135 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------------------
 1 file changed, 602 insertions(+), 533 deletions(-)

commit bf5fe70e23287bfb08872cddf86266f43ac09f4c
Author: Gustavo Noronha Silva <gustavo.noronha@collabora.com>
Date:   Mon Apr 28 16:03:13 2014 -0300

    clutter-canvas: cache the texture to avoid uploads
    
    When an actor carrying canvas content is repainted, it will currently reupload
    the data from the buffer to a texture. While this is not a performance problem
    on a desktop, some mobile environments take a big performance hit. This
    change tracks data changes and only recreates the texture if necessary.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=729144

 clutter/clutter-canvas.c | 33 +++++++++++++++++++++++----------
 1 file changed, 23 insertions(+), 10 deletions(-)

commit eb94490fe41cb916132330eaab794b4e761fe25e
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Mon Apr 28 21:37:00 2014 +0200

    Updated Slovenian translation

 po/sl.po | 0
 1 file changed, 0 insertions(+), 0 deletions(-)

commit a5ff1c45c9f04819fd4f549ba01bda6a502ddfb5
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Mon Apr 28 21:36:02 2014 +0200

    Updated Slovenian translation

 po/sl.po | 1116 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------
 1 file changed, 588 insertions(+), 528 deletions(-)

commit 0255b5a13366784a0d89bb214d8de7c37da25655
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Apr 26 20:50:43 2014 +0100

    docs: Add an explicit example of image loading
    
    Using GdkPixbuf, which is what we expect people to use anyway.

 clutter/clutter-image.c | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

commit 10ff9a4679c9644c733ee35b50e82a82af78265c
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Apr 26 20:50:29 2014 +0100

    docs: Fix the ClutterImage example URL

 clutter/clutter-image.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 86de09b58f286071c20e8a53e7f63a6528749b54
Author: Dirgita <dirgitadevina@gmail.com>
Date:   Tue Apr 22 14:25:43 2014 +0000

    Updated Indonesian translation

 po/id.po | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

commit d7b183a4e3927a571e6605a5740d555e168007b7
Author: Gustavo Noronha Silva <gustavo.noronha@collabora.com>
Date:   Fri Apr 18 15:10:42 2014 -0300

    clutter-main: start mainloop timer on clutter_init()
    
    By creating and starting the timer on clutter_main() an assumption is made
    that that is how the main loop will be run for all clutter applications.
    With more and more applications moving to GApplication, this assumption no
    longer holds true.
    
    Moving to clutter_init() means we are starting the timer earlier than we
    should, and by not stopping it when the main loop quits we are taking a
    measure that is later than we should. I believe it is safe to consider
    those are close enough to the actual beginning and quitting of the main
    loop in practice.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=728521

 clutter/clutter-main.c | 21 ++++++++++-----------
 1 file changed, 10 insertions(+), 11 deletions(-)

commit 20e619f8a68b29421463a76c87b767bdf4fd0414
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Apr 17 10:52:19 2014 +0800

    Visual Studio Builds: Avoid Implicit Linking to SDL
    
    Cogl, when built with the SDL winsys, will include the SDL headers when
    Cogl-based programs are built, which causes the SDL's wrapper for main()
    to be used on Windows, causing an implicit requirement that all Cogl-based
    apps must link to SDL2.lib and SDL2main.lib.  Avoid this behavior by
    defining SDL_MAIN_HANDLED in the CFLAGS of the sample and interactive test
    programs

 build/win32/vs10/clutter-build-defines.props  | 8 ++++++--
 build/win32/vs10/test-cogl-perf.vcxproj       | 8 ++++----
 build/win32/vs10/test-picking.vcxproj         | 8 ++++----
 build/win32/vs10/test-random-text.vcxproj     | 8 ++++----
 build/win32/vs10/test-text-perf.vcxproj       | 8 ++++----
 build/win32/vs10/test-text.vcxproj            | 8 ++++----
 build/win32/vs9/clutter-build-defines.vsprops | 8 ++++++--
 build/win32/vs9/test-cogl-perf.vcproj         | 8 ++++----
 build/win32/vs9/test-picking.vcproj           | 8 ++++----
 build/win32/vs9/test-random-text.vcproj       | 8 ++++----
 build/win32/vs9/test-text-perf.vcproj         | 8 ++++----
 build/win32/vs9/test-text.vcproj              | 8 ++++----
 12 files changed, 52 insertions(+), 44 deletions(-)

commit 2e8b1606e97bd2cfdd775d47e3b5a5394b614400
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Wed Apr 16 17:12:16 2014 +0200

    Updated Basque language

 po/eu.po | 2852 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2852 insertions(+)

commit 6f370079ce9f9ab85e07c76e98a3352d0ddc8a8f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Apr 14 23:19:51 2014 +0100

    Post-release version bump to 1.18.3

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9cb351f39396e5b27c716a20824fce31e5e1244a
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Apr 14 22:53:19 2014 +0100

    Release Clutter 1.18.2

 NEWS         | 41 +++++++++++++++++++++++++++++++++++++++++
 configure.ac |  4 ++--
 2 files changed, 43 insertions(+), 2 deletions(-)

commit ef2a94de9352de550b7837d2474aab118bea1bd0
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Apr 14 22:23:36 2014 +0100

    master-clock: Clean up the over-budget diagnostic
    
    Use the difference between the elapsed time and the available budget, so
    that the message can be read more easily.

 clutter/clutter-master-clock.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit b2e8bbe9e9ce3bc1573d5dc69b8dc18c5d4538f2
Author: Vadim Rutkovsky <vrutkovs@redhat.com>
Date:   Mon Apr 14 09:02:05 2014 -0400

    Add 1.10 as a valid lcov version
    
    https://bugzilla.gnome.org/show_bug.cgi?id=728177

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3517c11c9bfc248eb589a6c8c43bfdc6b8656029
Author: Adel Gadllah <adel.gadllah@gmail.com>
Date:   Thu Apr 10 21:06:47 2014 +0200

    stage-cogl: Don't mess with the damage_history list when buffer_age is not available

 clutter/cogl/clutter-stage-cogl.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 79297d5c1cd0edd80aa79740b83d58025478ed12
Author: maria thukididu <marablack3@gmail.com>
Date:   Sun Apr 6 19:48:17 2014 +0300

    Updated Greek translation

 po/el.po | 1022 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------------------
 1 file changed, 530 insertions(+), 492 deletions(-)

commit f9d99d1c4e573d08bdada42c0b70c984476c9541
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Apr 2 19:25:55 2014 +0100

    test-utils: Skip tests if no DISPLAY is set
    
    Instead of just bailing out when initializing the test suite, we can do
    a much better job and skip all the tests. This means that the TAP driver
    will work correctly instead of dying a horrible death, and we get a nice
    report with a proper cause of the test skipping.

 clutter/clutter-test-utils.c | 28 ++++++++++++++++++++++------
 1 file changed, 22 insertions(+), 6 deletions(-)

commit f065a34e4698af8e4b04a939c077d348e5294236
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Mar 24 13:20:48 2014 +0000

    Remove clutter.symbols
    
    The Visual Studio build files have been updated to not use it, so we can
    remove it from the repository.

 clutter/Makefile.am     |    1 -
 clutter/clutter.symbols | 1669 --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 2 files changed, 1670 deletions(-)

commit 363c0d2f7aec5ce3ce3601dbcca482a601bd86b3
Author: Emilio Pozuelo Monfort <pochu27@gmail.com>
Date:   Tue Mar 25 13:44:34 2014 +0100

    wayland: Add missing CLUTTER_AVAILABLE annotations
    
    Signed-off-by: Emilio Pozuelo Monfort <pochu27@gmail.com>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=727020

 clutter/wayland/clutter-wayland-surface.h | 7 +++++++
 1 file changed, 7 insertions(+)

commit 678aaa3795be8d22b37f6d54d1478ec4428db012
Author: Andika Triwidada <andika@gmail.com>
Date:   Fri Mar 21 10:38:32 2014 +0000

    Updated Indonesian translation

 po/id.po | 950 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------------------------
 1 file changed, 472 insertions(+), 478 deletions(-)

commit 62688569a8d38e1f510e9e752789a616faea205c
Author: teuf <teuf@gnome.org>
Date:   Fri Mar 21 08:31:19 2014 +0000

    Updated French translation

 po/fr.po | 215 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------------------
 1 file changed, 109 insertions(+), 106 deletions(-)

commit 5d53620bb94e428f891d1d0c143c2afd47b1466b
Author: David Warman <dwarman@manglebit.org>
Date:   Tue Feb 25 18:14:00 2014 +0000

    stage: re-implement minimal paint() method to respect Z order
    
    Without a paint() implementation in clutter-stage, the function
    from clutter-group is used.  That class has its own child list,
    but attempts to use sort_depth_order, which is empty in this case.
    
    This provides a partial fix by replacing a minimal paint(), see:
    
    https://bugzilla.gnome.org/show_bug.cgi?id=711645

 clutter/clutter-stage.c | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit 2b3fac8b3ddc51b2bef5f294495472ce00924efa
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Mar 21 00:33:10 2014 +0800

    clutter-version.h.in: Refine how CLUTTER_VAR is Defined
    
    Define CLUTTER_VAR like how it is done on GLib, so that the version
    constants can be exported and imported appropriately on different
    compilers.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726762

 clutter/clutter-version.h.in | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

commit d42cb2a4d3027b867625dd90afe391e3cc3027fe
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Mar 20 22:56:07 2014 +0800

    MSVC Build: Update Clutter DLL Build Defines
    
    Define DLL_EXPORT when we are building the Clutter DLL, to ensure that
    constants are exported properly.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726762

 build/win32/vs10/clutter-build-defines.props  | 2 +-
 build/win32/vs9/clutter-build-defines.vsprops | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 4c204a4f3eb70e79e3a348b6347bc9686ab9f25e
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Mar 20 14:32:26 2014 +0800

    clutter-event-win32.c: Avoid a Crash
    
    Commit e70a0109 simplified the dispatching of events by passing the event's
    owernership to ClutterStage, but it may be so that any.stage is NULL at
    some point on Windows, which will either cause _clutter_stage_queue_event()
    to crash or issue a critical warning.  Avoid this problem by checking
    whether event->any.stage is not NULL before trying to call
    _clutter_stage_queue_event().
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726765

 clutter/win32/clutter-event-win32.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 891d3fce0084134a6f6b725557877c3d6c7e8ad2
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Mar 20 09:30:17 2014 +0800

    Fix on Last Commit of config.h.win32.in
    
    Missed a /* before an #undef line, causing build warnings, oops, sorry.

 clutter/config.h.win32.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 44d688cdfbec2ca7de589bb766720d57ea513991
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Mar 20 09:18:57 2014 +0800

    Update config.h.win32.in Further
    
    ...so that its entries will reflect the entries that are checked by the
    autotools builds on config.h.in.  Also take into consideration for MinGW
    builds and for newer Visual Studio versions, such as the availability for
    inttypes.h.  Update the layout of the file cosmetic-wise as well.

 clutter/config.h.win32.in | 66 ++++++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 42 insertions(+), 24 deletions(-)

commit 783bc64a02f1bf946606d61cf92ce683513c0838
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Mar 20 08:57:06 2014 +0800

    Visual Studio Builds: Don't Generate a .def File
    
    Clutter, like GTK+ and GLib, has recently switched to a visibility-based
    method of exporting symbols, so update the Visual Studio build files to
    do likewise, by using __declspec (dllexport). This eliminats the need to
    use a .def file to export the symbols.  The pre-configured
    config.h.win32.in is also updated accordingly for this purpose.  The
    clutter.symbols file can be dropped if it is not being used otherwise.

 build/win32/vs10/clutter-gen-srcs.props    | 16 ----------------
 build/win32/vs10/clutter.vcxproj.filtersin |  1 -
 build/win32/vs10/clutter.vcxprojin         | 34 ----------------------------------
 build/win32/vs9/clutter-gen-srcs.vsprops   | 14 --------------
 build/win32/vs9/clutter.vcprojin           | 74 --------------------------------------------------------------------------
 clutter/config.h.win32.in                  |  7 +++++++
 6 files changed, 7 insertions(+), 139 deletions(-)

commit 8c9b5d0568c7bb6f809b2cd6c787f48deb0a87f2
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Mar 19 22:01:53 2014 +0000

    Bump the dependency of Cogl to 1.17.5
    
    The EGL/KMS backend requires unreleased API.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726703

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f06400da7d7dab4c0a06db9a23d6c40941da24f6
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Wed Mar 19 22:36:14 2014 +0100

    Updated Danish translation

 po/da.po | 1100 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------
 1 file changed, 580 insertions(+), 520 deletions(-)

commit ccc5eb9f3588a3c66c2fc1f782b78e574e7ee5a7
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Mar 18 19:06:49 2014 +0000

    build: Resync our copy of introspection.m4

 build/autotools/introspection.m4 | 2 ++
 1 file changed, 2 insertions(+)

commit 6414c017192cdbacf7f60a3df33a7e04b0c34251
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Mar 18 14:26:54 2014 +0000

    Post-release version bump to 1.18.1

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
